Name:           python-fhempy
Version:        0.1.748
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python binding for FHEM to support Python modules

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/fhempy/fhempy
Source:         %{pypi_source fhempy}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fhempy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fhempy
Summary:        %{summary}

%description -n python3-fhempy %_description


%prep
%autosetup -p1 -n fhempy-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fhempy -f %{pyproject_files}


%changelog
%autochangelog